using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;

namespace ECOT.Engine
{
    public class Entity : IRenderable, IUpdatable
    {
        private Vector2 position;
        private bool enabled;

        public Vector2 Position
        {
            get { return this.position; }
            set { this.position = value; }
        }

        #region IRenderable Membres

        public bool Enabled
        {
            get { return this.enabled; }
            set { this.enabled = value; }
        }

        public virtual void Render() { }

        #endregion

        #region IUpdatable Membres

        public void Update(GameTime gameTime) { }

        #endregion
    }
}
